curl --request POST \
--url https://{environment}.plugsurfing.com/drive/v1/geosearch/route \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"points": [
{
"latitude": 52.52,
"longitude": 13.405
},
{
"latitude": 52.37,
"longitude": 4.9
}
],
"filters": {
"connectorStandards": [
"Combo"
]
}
}
'{
"locations": [
{
"id": "8rMCionje8s2LtheVGEK90mYnJdJe5OZd48ecF/w1StRJSodFFzfQ3GhJbYbxG0gQhJv/Yjp5FXBJt14SccU9zFRdnC4SV7juPdCRaWkEZo=",
"name": "Ebee Smart Technologies",
"coordinates": {
"latitude": "52.475911",
"longitude": "13.350794"
},
"evses": [
{
"uid": "8rMCionje8s2LtheVGEK90mYnJdJe5OZd48ecF/w1StRJSodFFzfQ3GhJbYbxG0g3wFt7gLfnV3ulxmnoAzR4W/DFEMs63CndZpPK6L2aJG9qMC0Dp9OqeegGRXmiTOE",
"evse_id": "+49*839*030*000074",
"physical_reference": "4",
"status": "AVAILABLE",
"connectors": [
{}
],
"capabilities": [
"RESERVABLE",
"PLUG_AND_CHARGE_CAPABLE",
"PLUG_AND_CHARGE_CAPABLE"
],
"last_updated": "2025-01-15T10:30:00Z"
}
],
"operator": {
"id": "881941",
"name": "Ebee Smart Technologies",
"hotline": "+498944255071",
"external_id": "DE*ABC"
},
"operator_display_name": "Sub-operator X",
"opening_times": {
"twentyfourseven": false,
"regular_hours": [
{
"weekday": 1,
"period_begin": "00:10",
"period_end": "29:59"
}
],
"exceptional_openings": [
{
"period_begin": "2025-01-15T10:30:00Z",
"period_end": "2025-01-15T10:30:00Z"
}
],
"exceptional_closings": [
{
"period_begin": "2025-01-15T10:30:00Z",
"period_end": "2025-01-15T10:30:00Z"
}
]
},
"directions": [
{
"language": "DE",
"text": "example"
}
],
"country": "DEU",
"state": "Bayern",
"city": "Berlin",
"postal_code": 10829,
"address": "EUREF CAMPUS 4-5",
"openNow": false,
"is_green_energy": false,
"last_updated": "2024-03-15T14:30:00Z"
}
],
"aggregates": [
{
"coordinates": {
"latitude": "52.475911",
"longitude": "13.350794"
},
"count": 1
}
]
}{
"message": "Invalid request payload",
"details": [
"field X is required"
]
}{
"message": "Resource not found"
}Route search
Search for charging locations along a route. The max number of points in a route is 300. Prices are not included. To get prices for a given location, use Get location by id
curl --request POST \
--url https://{environment}.plugsurfing.com/drive/v1/geosearch/route \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"points": [
{
"latitude": 52.52,
"longitude": 13.405
},
{
"latitude": 52.37,
"longitude": 4.9
}
],
"filters": {
"connectorStandards": [
"Combo"
]
}
}
'{
"locations": [
{
"id": "8rMCionje8s2LtheVGEK90mYnJdJe5OZd48ecF/w1StRJSodFFzfQ3GhJbYbxG0gQhJv/Yjp5FXBJt14SccU9zFRdnC4SV7juPdCRaWkEZo=",
"name": "Ebee Smart Technologies",
"coordinates": {
"latitude": "52.475911",
"longitude": "13.350794"
},
"evses": [
{
"uid": "8rMCionje8s2LtheVGEK90mYnJdJe5OZd48ecF/w1StRJSodFFzfQ3GhJbYbxG0g3wFt7gLfnV3ulxmnoAzR4W/DFEMs63CndZpPK6L2aJG9qMC0Dp9OqeegGRXmiTOE",
"evse_id": "+49*839*030*000074",
"physical_reference": "4",
"status": "AVAILABLE",
"connectors": [
{}
],
"capabilities": [
"RESERVABLE",
"PLUG_AND_CHARGE_CAPABLE",
"PLUG_AND_CHARGE_CAPABLE"
],
"last_updated": "2025-01-15T10:30:00Z"
}
],
"operator": {
"id": "881941",
"name": "Ebee Smart Technologies",
"hotline": "+498944255071",
"external_id": "DE*ABC"
},
"operator_display_name": "Sub-operator X",
"opening_times": {
"twentyfourseven": false,
"regular_hours": [
{
"weekday": 1,
"period_begin": "00:10",
"period_end": "29:59"
}
],
"exceptional_openings": [
{
"period_begin": "2025-01-15T10:30:00Z",
"period_end": "2025-01-15T10:30:00Z"
}
],
"exceptional_closings": [
{
"period_begin": "2025-01-15T10:30:00Z",
"period_end": "2025-01-15T10:30:00Z"
}
]
},
"directions": [
{
"language": "DE",
"text": "example"
}
],
"country": "DEU",
"state": "Bayern",
"city": "Berlin",
"postal_code": 10829,
"address": "EUREF CAMPUS 4-5",
"openNow": false,
"is_green_energy": false,
"last_updated": "2024-03-15T14:30:00Z"
}
],
"aggregates": [
{
"coordinates": {
"latitude": "52.475911",
"longitude": "13.350794"
},
"count": 1
}
]
}{
"message": "Invalid request payload",
"details": [
"field X is required"
]
}{
"message": "Resource not found"
}Authorizations
API key for authentication
Query Parameters
Distance to search from the center of the route, in meters (will be split equally on both sides of the route)
Number of locations returned in the response (doesn't apply when aggregation is enabled)
x <= 300If true, the results will be aggregated. For large radius it makes the response much faster.
Value between 2 and 9. The bigger value is, the smaller is the cell size of the grid for aggregation. If not passed, a default value, based on radius, is assumed.
2 <= x <= 9Supported languages: en, bg, cy, de, es, fi, fr, hu, is, it, lt, nb, nl, pl, pt, ro, sv.
2Body
The request takes up to 300 points for the route
Response
OK
Response payload containing matching locations and aggregate metadata for a geosearch query.